
package com.tmerclub.cloud.group.vo.app;

import com.tmerclub.cloud.common.product.vo.SkuComboVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author YXF
 * @date 2021/3/26
 */
public class AppGroupSkuVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "SPU id")
    private Long spuId;

    @Schema(description = "拼团活动商品规格id")
    private Long groupSkuId;

    @Schema(description = "商品规格Id")
    private Long skuId;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;

    @Schema(description = "市场价，整数方式保存")
    private Long marketPriceFee;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "sku图片")
    private String imgUrl;

    @Schema(description = "销售属性组合字符串 格式是p1:v1;p2:v2")
    private String properties;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "供应商库存")
    private Integer supplierStock;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "组合商品列表")
    private List<SkuComboVO> skuComboList;

    public List<SkuComboVO> getSkuComboList() {
        return skuComboList;
    }

    public void setSkuComboList(List<SkuComboVO> skuComboList) {
        this.skuComboList = skuComboList;
    }

    public Integer getSupplierStock() {
        return supplierStock;
    }

    public void setSupplierStock(Integer supplierStock) {
        this.supplierStock = supplierStock;
    }

    public Long getGroupSkuId() {
        return groupSkuId;
    }

    public void setGroupSkuId(Long groupSkuId) {
        this.groupSkuId = groupSkuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }


    public String getProperties() {
        return properties;
    }

    public void setProperties(String properties) {
        this.properties = properties;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getPriceFee() {
        return priceFee;
    }

    public void setPriceFee(Long priceFee) {
        this.priceFee = priceFee;
    }

    public Long getMarketPriceFee() {
        return marketPriceFee;
    }

    public void setMarketPriceFee(Long marketPriceFee) {
        this.marketPriceFee = marketPriceFee;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "AppGroupSkuVO{" +
                "spuId=" + spuId +
                ", groupSkuId=" + groupSkuId +
                ", skuId=" + skuId +
                ", priceFee=" + priceFee +
                ", marketPriceFee=" + marketPriceFee +
                ", skuName='" + skuName + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", properties='" + properties + '\'' +
                ", stock=" + stock +
                ", supplierStock=" + supplierStock +
                ", status=" + status +
                ", skuComboList=" + skuComboList +
                '}';
    }
}
